html{
	height: 100%;
}
body{
	background-color: #1D1D21;
	margin: 0px;
	padding: 0px;
	font-family: "Trebuchet MS", Helvetica, sans-serif;
	height: 100%;
}
#main{
	height: 100%;
}
#settingsColumn{
	height: 100%;
}
h1{
	color: white;
	font-size: 60px;
	margin-bottom: 0;
	margin-top: 10px;
	letter-spacing: 0rem;
	transform:scale(1.5,1);
	user-select: none;
}
h3{
	padding-left: 0.3rem;
	color: white;
	margin-top: 0px;
	letter-spacing: 0.52rem;
	user-select: none;
}
.timeSigDisplay{
	font-size: 48px;
	color: white;
	padding-bottom: 0.25rem;
	margin-block: auto;
	min-width: 100%;
}
div{
	text-align: center;
}
input {
	text-align: center;
	position: relative;
	padding: 0;
	border: none;
	border-radius: 4px;
}
input[disabled]{
	pointer-events: none;
}

a {
	position: inherit;
	transition-duration: 0.3s;
}
a:link {
	color: cyan;
}
a:visited {
	color: cyan;
}
a:hover {
	color: white;
}
a:active {
	color: blue;
}

.helpLink{
	color: blue;
}
.helpLink:link{
	color: blue;
}
.helpLink:visited{
	color: blue;
}
.helpLink:hover{
	color: cyan;
}
.helpLink:active {
	color: darkblue;
}

.settingsCategory{
	color: white;
	min-width: 100%;
	margin-bottom: 1rem;
	text-align: left;
}

.settingsInput {
	font-size: 16px;
	height: 20px;
	width: 80px;
}

.patchDropdown{
	width: 100%;
	height: 1.5rem;
	font-size: 0.9rem;
	background-color: #111;
	color: white;
	border: none;
	border-radius: 4px;
}

input[type="number"]{
	appearance: textfield;
	background-color: #111;
	color:white;
}

input[type="checkbox"]{
	width: 1.25rem;
	height: 1.25rem;
}

.patchSettingRow{
	text-align: left;
	margin-top: 5px;
}

.settingsCategoryLabel{
	margin: auto;
	line-height: 0rem;
	user-select: none;
}

.patchBigNumber{
	width: 100%;
	height: 3rem;
	font-size: 2.5rem;
	border-radius: 4px;
}

#tempoInput{
	border-bottom-left-radius: 0px;
	border-bottom-right-radius: 0px;
}

#displayTempoDropdown{
	border-top-left-radius: 0px;
	border-top-right-radius: 0px;
}

.patchSmallNumber{
	width: 6rem;
	height: 2.0rem;
	font-size: 1.2rem;
}

.slider{
    width: 100%;
    height: 20px;
	accent-color: white;
	background: transparent;
}

.helpbutton{
	position: fixed;
	font-size: 32px;
	height: 48px;
	width: 100px;
	bottom: 10px;
	left: calc(50vw - 48px);
}
.formsubmit{
	font-size: 36px;
	height: 54px;
	width: 120px;
}
.helpbutton:hover{
	background-color: #606060;
}
::placeholder { /* Chrome, Firefox, Opera, Safari 10.1+ */
  font-size: 36px;
  color: white;
  opacity: 0.5; /* Firefox */
}

.switch {
  position: relative;
  vertical-align: middle;
  display: inline-block;
  width: 60px;
  height: 34px;
}

.switch input { 
  opacity: 0;
  width: 0;
  height: 0;
}

.melharmlabel{
	font-size: 24px;
	color: white;
	vertical-align: middle;
}

.meterTextInput{
	font-size: 32px;
	height: 40px;
	color: black;
	padding-bottom: 0.25rem;
	margin-top: 0.5rem;
	min-width: 100%;
}

.errorMessage{
	font-size: 1rem;
	margin-bottom: 0px;
	margin-top: 0.25rem;
	color: #f88;
	min-height: 1rem;
}

#patchSettings{
	max-width: 240px;
	min-width: 240px;
	padding-left: 1rem;
	padding-right: 1rem;
}

.nodeNumberModeSelectorContainer{
	display: flex;
	font-size: 1.1rem;
	height: 2rem;
}

.nodeNumberModeOption{
	background-color: #111;
	user-select: none;
	color: #aaa;
	line-height: 180%;
}

.nodeNumberModeOption:hover{
	filter:invert(10%);
}

.nodeNumberModeOptionSelected{
	color: white;
	background-color: #11f;
}

.toggleSwitchLeft{
	border-top-left-radius: 4px;
	border-bottom-left-radius: 4px;
}

.toggleSwitchRight{
	border-top-right-radius: 4px;
	border-bottom-right-radius: 4px;
}

#hueInput{
	width: 100%;
	height: 2rem;
	padding: 0;
	margin-top: 5px;
	background-image: linear-gradient(in hsl to right, hsl(0,100%,50%), hsl(180,100%,50%), hsl(359,100%,50%));
	display: flex;
	place-items: center;
	border-radius: 4px;
}

#hueInputCursor{
	width: 3px;
	height: 100%;
	border: solid white 1px;
	border-radius: 4px;
}

#hueInputCursor:hover{
	border: solid #ccc 1px;
}

.playback-control-bar {
    display: flex;
    align-items: center;
    width: 100%;
    height: 36px;
    box-sizing: border-box;
}

.playbar-button {
    margin-right: 10px;
	max-height: 30px;
	max-width: 30px;
	padding: 0px;
	background: transparent;
	border: none;
}

.playbar-button-icon{
	max-width: 100%;
	filter: invert(100%);
}

.playbar-button-icon:hover{
	filter: invert(75%);
}

#volumeSliderContainer{
	max-height: 100%;
    display: flex;
}

#volumeIcon{
	width: 36px;
	max-height: 100%;
	object-fit: contain;
	margin-right: 5px;
}

#globalVolumeSlider{
	margin-block: auto;
}

.colorInput {
	max-height: 1.5rem;
	width: 2rem;
}

.appDrawerDivider{
    min-height: 2px;
    background-color: #111;
}

#frameRateMonitor{
	color: white;
}

#footerContainer{
	color: white;
	text-align: left;
}

.footerLink{
	font-size: 12px;
}